/******************************************************************************

                              Online C++ Compiler.
               Code, Compile, Run and Debug C++ program online.
Write your code in this editor and press "Run" button to compile and execute it.

*******************************************************************************/

#include <iostream>
using namespace std;

int main()
{   int N, L, a;
    bool tf;
    
    cin>>N;
    cin>>L;
    
    
    int arr[N];
    
    for(int q=0; q<N; q++){
        cin>>a;
        arr[q]=a;
        
    }

   for(int i=0; i<N; i++){
       cout<<arr[i]<<",";
   }
   
  for(int w=0; w<N; w++){
      if(L>=arr[w]){
          cout<<w+1<<endl;
          tf=true;
          break;
      }else{
          continue;
          
      }
      }
      
      if (tf=!true){
          cout<<-1<<endl;
      }
  
   return 0;}